package com.anbo.workoutfragments;

import android.app.Activity;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends Activity implements WorkoutListFragment.WorkoutListListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Head first page 281
//        FragmentManager fragmentManager = getFragmentManager();
//        WorkoutDetailFragment frag =
//                (WorkoutDetailFragment) fragmentManager.findFragmentById(R.id.detail_frag);
//        frag.setWorkoutId(1);
    }

    // Head First page 302 + 321
    @Override
    public void itemClicked(long id) {
        View fragmentcontainer = findViewById(R.id.frament_container);
        if (fragmentcontainer != null) {
            WorkoutDetailFragment details = new WorkoutDetailFragment();
            FragmentTransaction ft = getFragmentManager().beginTransaction();
            details.setWorkoutId(id);
            ft.replace(R.id.frament_container, details);
            ft.addToBackStack(null);
            ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
            ft.commit();
        } else {
            Intent intent = new Intent(this, DetailActivity.class);
            intent.putExtra(DetailActivity.EXTRA_WORKOUT_ID, (int) id);
            startActivity(intent);
        }
    }
}
